Replaced /bin/sh by /bin/bash
[hvlinux.git] / stage2 / cis-pkg-config
index bea596d..7d59783 100755 (executable)
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/bash
+set -o errexit
+
 # First argument of this script is the package name.
 
 # Reading system configuration informations, functions and package versions.
@@ -7,15 +9,15 @@ source ../functions
 source ../packages-list
 
 # Applying patches (if any)
-apply_patches ${1} &&
+apply_patches ${1}
 
-cd ${LFS_TMP}/${1}-build &&
+cd ${LFS_TMP}/${1}-build
 ../${1}/configure \
-    --prefix=/usr &&
-make -j ${MAKEJOBS} &&
-make install &&
+    --prefix=/usr
+make -j ${MAKEJOBS}
+make install
 
-var_add_path "PKG_CONFIG_PATH" /etc/profile "/usr/local/lib/pkgconfig" &&
+var_add_path "PKG_CONFIG_PATH" /etc/profile "/usr/local/lib/pkgconfig"
 var_export   "PKG_CONFIG_PATH" /etc/profile
 
 # Return last error